Bug 19632 - reconfig doesn't configure network
reconfig doesn't configure network
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-10-23 16:36 EDT by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-30 16:42:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-23 16:36:33 EDT
`anaconda --reconfig` does not prompt for network
information when started from the initscripts.

i can only get it to work by pre-loading the module
for my nic (eepro100).

maybe add a `/sbin/modprobe eth0` to /etc/init.d/reconfig?
that works fine for me, and would fall through cleanly to a 
no-LAN case if there is no `alias eth0` line in /etc/modules.conf
Comment 1 Michael Fulbright 2000-10-30 16:03:43 EST
I have verified this appears to be an issue.
Comment 2 Need Real Name 2000-10-30 16:42:36 EST
although my workaround (loading the eth0 module) allows anaconda --reconfig
to succeed, it sets the hostname improperly.
(it looks like it may be trying to do a reverse nslookup, but of course the
network hasn't been brought up yet)
i.e., in /etc/sysconfig/network, it sets the hostname to localhost.localdomain.
/etc/hosts does not contain the proper hostname either.

the workaround i'm using here is parsing the user-defined hostname out of
/tmp/reconfig.log, and modifying /etc/hosts and /etc/sysconfig/network
Comment 3 Michael Fulbright 2001-02-08 15:53:38 EST
Network configuration should be done using the other system configuration tools
in a post-install environment.

Note You need to log in before you can comment on or make changes to this bug.